Requisitos del sistema

4 de junio de 2018

Importante

Citrix no admite la instalación de los componentes del Autoservicio de restablecimiento de contraseñas en un controlador de dominio. Implemente los componentes del Autoservicio de restablecimiento de contraseñas en servidores dedicados.

En este artículo, se describen los requisitos de hardware y software para el Autoservicio de restablecimiento de contraseñas. En esta sección se presupone que todos los equipos cumplen los requisitos de hardware mínimos para el sistema operativo instalado.

Software

Los equipos del entorno del Autoservicio de restablecimiento de contraseñas pueden requerir el siguiente software de sistema:

  • Windows 2016 y Windows 2012 R2- Necesarios para el servidor de Autoservicio de restablecimiento de contraseñas.
  • Microsoft Windows Installer 2.0 o posterior- Necesario para todos los sistemas.
  • Microsoft .NET Framework: Necesario para el servidor del Autoservicio de restablecimiento de contraseñas.
    • 4.6.x (Windows 2016)
    • 4.5.2 (Windows 2012 R2)
  • Internet Information Services (IIS)- Necesario para el servidor del Autoservicio de restablecimiento de contraseñas.
    • IIS 10.0 (Windows 2016)
    • IIS 8.5 (Windows 2012 R2)
  • VC++ 2008 SP1 Runtime- Necesario para el servidor de Autoservicio de restablecimiento de contraseñas. Para una primera instalación, debe descargar vcredist_x86.exe desde https://www.microsoft.com/en-us/download/details.aspx?id=26368 e instalarlo en el servidor de Autoservicio de restablecimiento de contraseñas.

Servidor de Autoservicio de restablecimiento de contraseñas

  • Componente del Autoservicio de restablecimiento de contraseñas: Almacén central
  • Entorno respaldado: Recurso compartido SMB
  • Requisitos de hardware: 30 KB de espacio en disco por cada usuario

Requisitos de ASP.NET 3.5/4.X

El componente de ASP.NET para la versión de .NET Framework en su equipo Windows Server.

Requisitos de seguridad y de cuentas

Antes de instalar el servicio de Autoservicio de restablecimiento de contraseñas hay que asegurarse de que las cuentas y los componentes necesarios para respaldar el servicio están disponibles. Además, debido a que el servicio utiliza HTTP seguro (HTTPS), requiere un certificado de autenticación de servidor para la comunicación TLS (Transport Layer Security) con StoreFront.

Requisito de autenticación de servidor:

Antes de instalar el servicio, obtenga un certificado de autenticación del servidor para la comunicación TLS desde una entidad de certificación (CA) o desde su propia infraestructura de claves públicas (PKI), si dispone de una.

Cuentas necesarias para los módulos del servicio:

Nota: Esas cuentas no deben caducar.

El servicio del Autoservicio de restablecimiento de contraseñas necesita estos tipos de cuenta para leer y escribir datos mientras actúa en el entorno:

  • Cuenta de proxy de datos
  • Cuenta del autoservicio

Cuando distintos módulos requieran el mismo tipo de cuenta, puede usar la misma cuenta para varios módulos. O puede especificar diferentes cuentas personalizadas para cada módulo.

  • Cuenta de proxy de datos

Requiere permisos de lectura y escritura en el almacén central. Para obtener más información, consulte Creación de un almacén central.

  • Cuenta del autoservicio

Requiere privilegios suficientes para desbloquear y restablecer la contraseña de los usuarios especificados en la Configuración de usuario. Para obtener más información consulte Configuración segura.

StoreFront

  • StoreFront 3.7
  • StoreFront 3.8 o posterior

Citrix Receivers

Respaldados:

  • Citrix Receiver para Web
  • Citrix Receiver para Windows
  • Citrix Receiver para Linux
  • Citrix Receiver para Mac (requiere StoreFront 3.8)

No respaldados:

  • Citrix Receiver para Chrome
  • Dispositivos móviles (aunque incluyan Receiver para Web)

Uso externo con NetScaler Gateway

No respaldado